#
# Makefile for ASM using Open Watcom v1.8/v1.9
#
OW=\watcom
bin=..\..\
cc=wcc386 -q -bt=nt -bc -zc -I$(OW)\h;$(OW)\h\nt;src\h -3r -obmilrt -s -DNDEBUG -fo$@
link=wlink N $@ OP Q, ST=0x20000, H=0x100000 COM ST=0x1000 SYS NT
{src}.c.obj:
 $(cc) $<
objs=main.obj assemble.obj assume.obj directiv.obj posndir.obj segment.obj &
 expreval.obj memalloc.obj errmsg.obj macro.obj string.obj condasm.obj &
 types.obj fpfixup.obj invoke.obj equate.obj mangle.obj loop.obj parser.obj &
 tokenize.obj input.obj expans.obj symbols.obj label.obj fixup.obj codegen.obj &
 data.obj reswords.obj branch.obj queue.obj hll.obj proc.obj option.obj omf.obj &
 omfint.obj omffixup.obj coff.obj elf.obj bin.obj listing.obj cmdline.obj &
 context.obj extern.obj simsegm.obj fastpass.obj backptch.obj tbyte.obj &
 apiemu.obj dbgcv.obj end.obj cpumodel.obj safeseh.obj linnum.obj msgtext.obj

$(bin)asm.exe: $(objs)
 $(link) @<<
File { $(objs) }
<<
 @del *.obj

